[Numpy-discussion] Numeric3 - a Windows Problem

Colin J. Williams cjw at sympatico.ca
Wed Apr 6 03:15:13 CDT 2005


Travis Oliphant wrote:

> Colin J. Williams wrote:
>
>> C:\Python24\Lib\site-packages\Numeric3\Download>python setup.py install
>> running install
>> running build
>> running config
>> error: The .NET Framework SDK needs to be installed before building 
>> extensions for Python.
>>
>> Is there any chance that a Windows binary could be made available for 
>> testing?
>
>
> Probably not in the near term (but you could ask Michiel).
>
> I'm assuming you have mingw32 installed which would allow you to build 
> it provided you have created an exports file for python2.4 (look on 
> the net for how to compile extensions with mingw32 using a MSVC 
> compiled python).
> You have to tell distutils what compiler to use:
>
> python setup.py config --compiler=mingw32
> python setup.py build --compiler=mingw32
> python setup.py install
>
> -Travis

Thanks to Michiel and Travis for their suggestions.  I am using Windows 
XP and get the following result:

    C:\Python24\Lib\site-packages\Numeric3\Download>python setup.py
    config --compiler=minw32
    running config
    error: don't know how to compile C/C++ code on platform 'nt' with
    'minw32' compiler

    C:\Python24\Lib\site-packages\Numeric3\Download>

I would welcome any comments.

Colin W.





More information about the Numpy-discussion mailing list